Subject: bug#32290: 25.3; w3m not showing images

From: Rahul Martim Juliato <[email-masked]>
Date: Fri, 27 Jul 2018 11:01:06 -0300

Hello!
I have w3m on emacs.

1.) w3m by it self works perfectly on both tty and xterm

>From here on, everything is on X.

2.) w3m works fine on emacs, the splash screen shows the image of
emacs-w3m.

And that's it, no other image is shown visiting any site.

This are set:
(setq w3m-default-display-inline-images t)
(setq w3m-display-inline-images t)
(setq w3m-default-display-inline-images t)

I used toggle on every page I get, so the status bar shows IMG and or
IMG(SSL).

I tried with a html page in my computer, and it also shows no images.

If I load an image url that ends with .pgn, .jpg, .gif, surprise! It
shows a buffer with the image.

If on a page, I point to a place where it should be an image and ask w3m
to download, and or show. It just hangs on forever, never saving and/or
opening it.

This all is true for both emacs-w3m package on fedora and the emacs-w3m
package on melpa.

Any help?
v
Thanks!

In GNU Emacs 25.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.26)
 of 2018-06-27 built on buildhw-02.phx2.fedoraproject.org
Windowing system distributor 'Fedora Project', version 11.0.11906000
System Description:	Fedora release 27 (Twenty Seven)

Configured using:
 'configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 --with-gpm=no --with-xwidgets --with-modules
 build_alias=x86_64-redhat-linux-gnu host_alias=x86_64-redhat-linux-gnu
 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Werror=format-security
 -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
 --param=ssp-buffer-size=4 -grecord-gcc-switches
 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic
 -fasynchronous-unwind-tables' LDFLAGS=-Wl,-z,relro
 PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES XWIDGETS

Important settings:
  value of $LANG: pt_BR.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  xterm-mouse-mode: t
  display-time-mode: t
  display-battery-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading /usr/share/emacs/site-lisp/site-start.d/gnus-bonus-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/rpmdev-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/systemtap-init.el (source)...done
Loading battery...done
Loading time...done
Loading xt-mouse...done
Failed to enable theme: gotham
For information about GNU Emacs and the GNU system, type C-h C-a.
<M-up> is undefined
Making completion list...

Load-path shadows:
/home/eng/.emacs.d/elpa/flim-20180328.1624/md4 hides /usr/share/emacs/25.3/lisp/md4
/home/eng/.emacs.d/elpa/flim-20180328.1624/hex-util hides /usr/share/emacs/25.3/lisp/hex-util
/home/eng/.emacs.d/elpa/flim-20180328.1624/sasl hides /usr/share/emacs/25.3/lisp/net/sasl
/home/eng/.emacs.d/elpa/flim-20180328.1624/ntlm hides /usr/share/emacs/25.3/lisp/net/ntlm
/home/eng/.emacs.d/elpa/flim-20180328.1624/hmac-def hides /usr/share/emacs/25.3/lisp/net/hmac-def
/home/eng/.emacs.d/elpa/flim-20180328.1624/sasl-digest hides /usr/share/emacs/25.3/lisp/net/sasl-digest
/home/eng/.emacs.d/elpa/flim-20180328.1624/sasl-cram hides /usr/share/emacs/25.3/lisp/net/sasl-cram
/home/eng/.emacs.d/elpa/flim-20180328.1624/hmac-md5 hides /usr/share/emacs/25.3/lisp/net/hmac-md5
/home/eng/.emacs.d/elpa/flim-20180328.1624/sasl-ntlm hides /usr/share/emacs/25.3/lisp/net/sasl-ntlm
/usr/share/emacs/site-lisp/gnus-bonus/nnnil hides /usr/share/emacs/25.3/lisp/gnus/nnnil
/usr/share/emacs/site-lisp/gnus-bonus/spam-stat hides /usr/share/emacs/25.3/lisp/gnus/spam-stat
/usr/share/emacs/site-lisp/gnus-bonus/nnir hides /usr/share/emacs/25.3/lisp/gnus/nnir

Features:
(shadow sort mail-extr emacsbug message idna dired format-spec rfc822
mml mml-sec password-cache epg gnus-util mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils mime-w3m
advice gotham-theme finder-inf info package epg-config seq byte-opt gv
bytecomp byte-compile cl-extra help-mode easymenu cconv cl-loaddefs
pcase cl-lib xt-mouse time battery cus-start cus-load
emacs-goodies-loaddefs easy-mmode time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
xwidget-internal move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 209736 7647)
 (symbols 48 28181 0)
 (miscs 40 82 129)
 (strings 32 48444 10146)
 (string-bytes 1 1400236)
 (vectors 16 19129)
 (vector-slots 8 542970 3582)
 (floats 8 213 90)
 (intervals 56 278 0)
 (buffers 976 18))